

#ifdef MACVERSION
	#include <standard.h>
#endif
#ifdef WIN95VERSION
	#include "standard.h"
#endif

#include "threads.h"
#include "shell.h"
#include "shellprivate.h"
#include "frontierstart.h"

void main (void) {
	
	boolean fl;
	
	if (!shellinit ())
		return;
	
	grabthreadglobals ();
	
	fl = frontierstart ();
	
	releasethreadglobals ();
	
	if (fl)
		shellmaineventloop ();
	} /*mainstart*/



